Bug 250395

Summary: textproc/py-docutils: Fix Python 2 build when PYGMENTS option is enabled
Product: Ports & Packages Reporter: Ting-Wei Lan <lantw44>
Component: Individual Port(s)Assignee: Danilo G. Baio <dbaio>
Status: Closed FIXED    
Severity: Affects Only Me CC: dbaio
Priority: --- Keywords: buildisok
Version: LatestFlags: dbaio: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch none

Description Ting-Wei Lan 2020-10-16 13:38:37 UTC
Created attachment 218798 [details]
Patch

Currently it doesn't build because textproc/py-pygments does not support Python 2. Fix it by using ${PY_PYGMENTS}.
Comment 1 Automation User 2020-10-31 00:57:09 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/209960765
Comment 2 commit-hook freebsd_committer 2020-11-01 01:20:08 UTC
A commit references this bug:

Author: dbaio
Date: Sun Nov  1 01:19:31 UTC 2020
New revision: 553820
URL: https://svnweb.freebsd.org/changeset/ports/553820

Log:
  textproc/py-docutils: Fix build with PYGMENTS option and Python 2

  PR:		250395
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	python (with hat)
  MFH:		2020Q4 (blanket: build fix)

Changes:
  head/textproc/py-docutils/Makefile
Comment 3 commit-hook freebsd_committer 2020-11-01 01:22:09 UTC
A commit references this bug:

Author: dbaio
Date: Sun Nov  1 01:21:30 UTC 2020
New revision: 553821
URL: https://svnweb.freebsd.org/changeset/ports/553821

Log:
  MFH: r553820

  textproc/py-docutils: Fix build with PYGMENTS option and Python 2

  PR:		250395
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	python (with hat)

  Approved by:	ports-secteam (blanket, build fix)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/textproc/py-docutils/Makefile
Comment 4 Danilo G. Baio freebsd_committer 2020-11-01 01:22:30 UTC
Committed, thanks!